#!/bin/sh

KERNEL_VERSION=2.6.24.5-smp
MYKERNEL_VERSION=`uname -r`

# update dependencies in kernel modules directory:
if [ "$KERNEL_VERSION" = "$MYKERNEL_VERSION" ]; then
  if [ -x sbin/depmod ]; then
    echo -n "Updating module dependencies for Linux $KERNEL_VERSION: " 1>&2
    sbin/depmod -a $KERNEL_VERSION -b $(pwd) && echo "OK" 1>&2
  else
    echo "WARNING: 'depmod' not found. Cannot update kernel module dependencies." 1>&2
  fi
fi

